Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.install4j.api.beans
Class AbstractBean

    java.lang.Object
      com.install4j.api.beans.AbstractBean

All Implemented Interfaces:
  Bean

Direct Known Subclasses:
  AbstractFormComponent, AbstractInstallAction, AbstractInstallerOrUninstallerScreen, AbstractInstallerScreen, AbstractInstallOrUninstallAction, AbstractUninstallAction, AbstractUninstallerScreen

    public abstract class AbstractBean

extends java.lang.Object
implements Bean

Common base class for all abstract super-classes for beans that are handled by install4j. It is not recommended to extend this class directly. Concrete super-classes exist for

- screens
- actions
- form components

This class provides common utility methods fir all bean types.

Author:
  ej-technologies GmbH

Constructor Summary
`AbstractBean()`

Method Summary
`protected static java.io.File` | `replaceVariables(java.io.File file)` Replace all installer variables and localization keys in a file.
`protected static java.lang.String` | `replaceVariables(java.lang.String value)` Replace all installer variables and localization keys in a string.
`protected static java.lang.String[]` | `replaceVariables(java.lang.String[] values)` Replace all installer variables and localization keys in a string array.
`protected static java.lang.String` | `replaceVariables(java.lang.String value, ReplacementMode replacementMode)` Replace all installer variables and localization keys in a string that should be used in a regular expression.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractBean

    public AbstractBean()

Method Detail

### replaceVariables

    protected static java.lang.String replaceVariables(java.lang.String value)

  Replace all installer variables and localization keys in a string.

  Note: compiler variables are replaced at compile time.

  Parameters:
    `value` - the original string
  Returns:
    the string with all variables replaced.

### replaceVariables

    protected static java.lang.String replaceVariables(java.lang.String value,
                                                       ReplacementMode replacementMode)

  Replace all installer variables and localization keys in a string that should be used in a regular expression.

  Note: compiler variables are replaced at compile time.

  Parameters:
    `value` - the original string
    `replacementMode` - the replacement mode
  Returns:
    the string with all variables replaced.

### replaceVariables

    protected static java.io.File replaceVariables(java.io.File file)

  Replace all installer variables and localization keys in a file.

  Note: compiler variables are replaced at compile time.

  Parameters:
    `file` - the original file
  Returns:
    the file with all variables replaced.

### replaceVariables

    protected static java.lang.String[] replaceVariables(java.lang.String[] values)

  Replace all installer variables and localization keys in a string array. For array elements that consist of an installer variable that in turn contains an array value, the elements of that array value will be inserted into the returned array. For this reason the returned array may have more elements than the original array. For example, if the array passed in as an argument has the elements:

         [0] = "One"
         [1] = "${installer:myVariable}"
         [2] = "Three"

  and the variable `myVariable` has a String array value with the elements

         [0] = "Blue"
         [1] = "Green"

  then the returned array will be

         [0] = "One"
         [1] = "Blue"
         [2] = "Green"
         [3] = "Three"

  If the array in an installer variable is not of type `String[]`, each element will be converted to a string by calling `toString()` on it.``

  Note: compiler variables are replaced at compile time.

  Parameters:
    `values` - the original array
  Returns:
    the array with all variables replaced.

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD